Main Page Class Hierarchy Compound List File List Compound Members File Members

# UseContext Class Reference

List of all members.

## Public Methods
| UseContext ()
| UseContext (const UseContext& other)
UseContext& | operator= (const UseContext& other)
## Static Public Methods
UseContext& | current ()
void | set_current (State auto_imports)
void | set_current (ScopeType scope)
State | get_current_auto_imports ()
ScopeType | get_current_scope ()
## Private Attributes
State | m_auto_imports
ScopeType | m_scope

## Constructor & Destructor Documentation

UseContext::UseContext ( | )`[inline]`

| Definition at line 37 of file cmt_use.cxx.
    00038   {
    00039     m_auto_imports = On;
    00040     m_scope = ScopePublic;
    00041   }

UseContext::UseContext ( | const UseContext & other )`[inline]`

| Definition at line 43 of file cmt_use.cxx.
    00044   {
    00045     m_auto_imports = other.m_auto_imports;
    00046     m_scope = other.m_scope;
    00047   }

## Member Function Documentation

UseContext & UseContext::current ( | )`[inline, static]`

| Definition at line 30 of file cmt_use.cxx. Referenced by get_current_auto_imports(), get_current_scope(), use_action_iterator::get_use(), and set_current().
    00031   {
    00032     static UseContext me;
    00033
    00034     return (me);
    00035   }

State UseContext::get_current_auto_imports ( | )`[inline, static]`

| Definition at line 71 of file cmt_use.cxx. Referenced by use_action_iterator::get_use().
    00072   {
    00073     UseContext& c = current ();
    00074
    00075     return (c.m_auto_imports);
    00076   }

ScopeType UseContext::get_current_scope ( | )`[inline, static]`

| Definition at line 78 of file cmt_use.cxx. Referenced by use_action_iterator::get_use().
    00079   {
    00080     UseContext& c = current ();
    00081
    00082     return (c.m_scope);
    00083   }

UseContext & UseContext::operator= ( | const UseContext & other )`[inline]`

| Definition at line 49 of file cmt_use.cxx.
    00050   {
    00051     m_auto_imports = other.m_auto_imports;
    00052     m_scope = other.m_scope;
    00053
    00054     return (*this);
    00055   }

void UseContext::set_current ( | ScopeType scope )`[inline, static]`

| Definition at line 64 of file cmt_use.cxx.
    00065   {
    00066     UseContext& c = current ();
    00067
    00068     c.m_scope = scope;
    00069   }

void UseContext::set_current ( | State auto_imports )`[inline, static]`

| Definition at line 57 of file cmt_use.cxx. Referenced by use_action_iterator::get_use().
    00058   {
    00059     UseContext& c = current ();
    00060
    00061     c.m_auto_imports = auto_imports;
    00062   }

## Member Data Documentation

State UseContext::m_auto_imports`[private]`

| Definition at line 86 of file cmt_use.cxx.

ScopeType UseContext::m_scope`[private]`

| Definition at line 87 of file cmt_use.cxx.

The documentation for this class was generated from the following file:

- cmt_use.cxx